
#include "enna.h"
#include <curl/curl.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include <Ecore_File.h>
#include <Ecore_Str.h>
#include <Eet.h>
#include <sys/stat.h>
#include <tag_c.h>
#include "enna_util.h"

typedef struct _Enna_Metadata Enna_Metadata;

struct _Enna_Metadata
{
  char *filename;
  char *title;
  char *album;
  char *artist;
  char *genre;
  char *filetype;
  char *comment;
  int id;
  int size;			//nb of bytes
  int duration;			//in seconds
  int cd_nbr;
  int cds;
  int track_nbr;
  int tracks;
  int bitrate;
  int samplerate;
  int year;
  int play_count;
  int channels;
  char *cover_filename;
};

EAPI void enna_metadata_init (void);
EAPI Enna_Metadata *enna_metadata_get (char *filename);
EAPI void enna_metadata_shutdown (void);
