#include "enna_util.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>

EAPI char *
enna_util_user_home_get ()
{
  static char *home = NULL;

  if (home)
		return home;
	
   home = strdup(getenv("HOME"));
   if (!home) return strdup("/tmp");
   return strdup(home);
}

EAPI int
enna_util_has_suffix (char *str, Evas_List * patterns)
{
  Evas_List *l;
  int result = 0;

  if (!patterns || !str || !str[0])
    return 0;
  for (l = patterns; l; l = evas_list_next (l))
    {
      //dbg("pattern : %s\n", (char*)l->data);
      result |= ecore_str_has_suffix (str, (char *) l->data);
    }
  return result;
}

EAPI unsigned int
enna_util_calculate_font_size (Evas_Coord w, Evas_Coord h)
{
  float size = 12;

  size = sqrt (w * w + h * h) / (float) 50.0;
  if (size < 8)
    size = 8;
  else if (size > 30)
    size = 30;

  return (unsigned int) size;

}
